$(document).ready(function(){
    $("#menu li").click(function(e){
        deselect();
        e.stopPropagation();
        $(this).toggleClass("open");
    });
    function deselect(){
        var sel;
        if(document.selection && document.selection.empty){
            document.selection.empty();
        } else if(window.getSelection){
            sel = window.getSelection();
            if(sel && sel.removeAllRanges) {
                sel.removeAllRanges();
            }
        }
    }
    function bindDirections(){
        var directions = $("#content .directions");
        if(directions.length){
            directions.each(function(){
                var q = $(this);
                var t = q.find('h3');
                t.prepend($('<a class="show">Show</a><a class="hide">Hide</a>'));
                t.click(function(){
                    deselect();
                    q.toggleClass('open');
                });
                if(directions.length === 1){
                    t.click();
                }
            });
        }
    }
    bindDirections();
});